package npg_qc::Schema::Result::Adapter;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::Adapter

=cut

__PACKAGE__->table("adapter");

=head1 ACCESSORS

=head2 id_adapter

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 id_run

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 position

  data_type: 'tinyint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 path

  data_type: 'varchar'
  is_nullable: 1
  size: 256

=head2 forward_read_filename

  data_type: 'varchar'
  is_nullable: 0
  size: 256

=head2 reverse_read_filename

  data_type: 'varchar'
  is_nullable: 0
  size: 256

=head2 forward_fasta_read_count

  data_type: 'integer'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 forward_contaminated_read_count

  data_type: 'integer'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 forward_blat_hash

  data_type: 'text'
  is_nullable: 0

=head2 forward_start_counts

  data_type: 'text'
  is_nullable: 1

=head2 reverse_fasta_read_count

  data_type: 'integer'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 reverse_contaminated_read_count

  data_type: 'integer'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 reverse_blat_hash

  data_type: 'text'
  is_nullable: 1

=head2 reverse_start_counts

  data_type: 'text'
  is_nullable: 1

=head2 pass

  data_type: 'tinyint'
  is_nullable: 1

=head2 comments

  data_type: 'text'
  is_nullable: 1

=head2 info

  data_type: 'text'
  is_nullable: 1

=head2 tag_index

  data_type: 'bigint'
  default_value: -1
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "id_adapter",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "id_run",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 0 },
  "position",
  { data_type => "tinyint", extra => { unsigned => 1 }, is_nullable => 0 },
  "path",
  { data_type => "varchar", is_nullable => 1, size => 256 },
  "forward_read_filename",
  { data_type => "varchar", is_nullable => 0, size => 256 },
  "reverse_read_filename",
  { data_type => "varchar", is_nullable => 0, size => 256 },
  "forward_fasta_read_count",
  { data_type => "integer", extra => { unsigned => 1 }, is_nullable => 0 },
  "forward_contaminated_read_count",
  { data_type => "integer", extra => { unsigned => 1 }, is_nullable => 0 },
  "forward_blat_hash",
  { data_type => "text", is_nullable => 0 },
  "forward_start_counts",
  { data_type => "text", is_nullable => 1 },
  "reverse_fasta_read_count",
  { data_type => "integer", extra => { unsigned => 1 }, is_nullable => 1 },
  "reverse_contaminated_read_count",
  { data_type => "integer", extra => { unsigned => 1 }, is_nullable => 1 },
  "reverse_blat_hash",
  { data_type => "text", is_nullable => 1 },
  "reverse_start_counts",
  { data_type => "text", is_nullable => 1 },
  "pass",
  { data_type => "tinyint", is_nullable => 1 },
  "comments",
  { data_type => "text", is_nullable => 1 },
  "info",
  { data_type => "text", is_nullable => 1 },
  "tag_index",
  { data_type => "bigint", default_value => -1, is_nullable => 0 },
);
__PACKAGE__->set_primary_key("id_adapter");
__PACKAGE__->add_unique_constraint("unq_run_lane_adapter", ["id_run", "position", "tag_index"]);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-30 15:20:48
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:d9h24NYupz4FD4+Z2c+jfA


# You can replace this text with custom content, and it will be preserved on regeneration
1;
