package npg_qc::Schema::Result::ErrorRateRelativeSequenceBase;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::ErrorRateRelativeSequenceBase

=cut

__PACKAGE__->table("error_rate_relative_sequence_base");

=head1 ACCESSORS

=head2 id_error_rate_relative_sequence_base

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 id_run_tile

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_foreign_key: 1
  is_nullable: 0

=head2 read_as

  data_type: 'char'
  is_nullable: 1
  size: 1

=head2 really_a

  data_type: 'float'
  default_value: 0.00
  extra: {unsigned => 1}
  is_nullable: 0
  size: [5,2]

=head2 really_c

  data_type: 'float'
  default_value: 0.00
  extra: {unsigned => 1}
  is_nullable: 0
  size: [5,2]

=head2 really_g

  data_type: 'float'
  default_value: 0.00
  extra: {unsigned => 1}
  is_nullable: 0
  size: [5,2]

=head2 really_t

  data_type: 'float'
  default_value: 0.00
  extra: {unsigned => 1}
  is_nullable: 0
  size: [5,2]

=head2 rescore

  data_type: 'tinyint'
  default_value: 0
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "id_error_rate_relative_sequence_base",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "id_run_tile",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_foreign_key => 1,
    is_nullable => 0,
  },
  "read_as",
  { data_type => "char", is_nullable => 1, size => 1 },
  "really_a",
  {
    data_type => "float",
    default_value => "0.00",
    extra => { unsigned => 1 },
    is_nullable => 0,
    size => [5, 2],
  },
  "really_c",
  {
    data_type => "float",
    default_value => "0.00",
    extra => { unsigned => 1 },
    is_nullable => 0,
    size => [5, 2],
  },
  "really_g",
  {
    data_type => "float",
    default_value => "0.00",
    extra => { unsigned => 1 },
    is_nullable => 0,
    size => [5, 2],
  },
  "really_t",
  {
    data_type => "float",
    default_value => "0.00",
    extra => { unsigned => 1 },
    is_nullable => 0,
    size => [5, 2],
  },
  "rescore",
  { data_type => "tinyint", default_value => 0, is_nullable => 0 },
);
__PACKAGE__->set_primary_key("id_error_rate_relative_sequence_base");
__PACKAGE__->add_unique_constraint(
  "unq_idx_err_seqbase_rt_read_rescore",
  ["id_run_tile", "rescore", "read_as"],
);

=head1 RELATIONS

=head2 id_run_tile

Type: belongs_to

Related object: L<npg_qc::Schema::Result::RunTile>

=cut

__PACKAGE__->belongs_to(
  "id_run_tile",
  "npg_qc::Schema::Result::RunTile",
  { id_run_tile => "id_run_tile" },
  { on_delete => "CASCADE", on_update => "CASCADE" },
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-30 15:20:49
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:mSdh4RCPgE3YkmmnOcVJjw


# You can replace this text with custom content, and it will be preserved on regeneration
1;
