package npg_qc::Schema::Result::FrequencyResponseMatrix;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::FrequencyResponseMatrix

=cut

__PACKAGE__->table("frequency_response_matrix");

=head1 ACCESSORS

=head2 id_frequency_response_matrix

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 id_run

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 cycle

  data_type: 'smallint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 lane

  data_type: 'tinyint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 base

  data_type: 'char'
  is_nullable: 0
  size: 1

=head2 red1

  data_type: 'float'
  is_nullable: 0
  size: [5,2]

=head2 red2

  data_type: 'float'
  is_nullable: 0
  size: [5,2]

=head2 green1

  data_type: 'float'
  is_nullable: 0
  size: [5,2]

=head2 green2

  data_type: 'float'
  is_nullable: 0
  size: [5,2]

=cut

__PACKAGE__->add_columns(
  "id_frequency_response_matrix",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "id_run",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 0 },
  "cycle",
  { data_type => "smallint", extra => { unsigned => 1 }, is_nullable => 0 },
  "lane",
  { data_type => "tinyint", extra => { unsigned => 1 }, is_nullable => 0 },
  "base",
  { data_type => "char", is_nullable => 0, size => 1 },
  "red1",
  { data_type => "float", is_nullable => 0, size => [5, 2] },
  "red2",
  { data_type => "float", is_nullable => 0, size => [5, 2] },
  "green1",
  { data_type => "float", is_nullable => 0, size => [5, 2] },
  "green2",
  { data_type => "float", is_nullable => 0, size => [5, 2] },
);
__PACKAGE__->set_primary_key("id_frequency_response_matrix");
__PACKAGE__->add_unique_constraint("unq_idx_run_lane_base", ["id_run", "cycle", "lane", "base"]);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-30 15:20:49
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:pUcJBEWPRvoRZoAvRAJkXg


# You can replace this text with custom content, and it will be preserved on regeneration
1;
