package npg_qc::Schema::Result::GcFraction;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::GcFraction

=cut

__PACKAGE__->table("gc_fraction");

=head1 ACCESSORS

=head2 id_gc_fraction

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 id_run

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 position

  data_type: 'tinyint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 path

  data_type: 'varchar'
  is_nullable: 1
  size: 256

=head2 forward_read_filename

  data_type: 'varchar'
  is_nullable: 0
  size: 256

=head2 reverse_read_filename

  data_type: 'varchar'
  is_nullable: 0
  size: 256

=head2 forward_read_gc_percent

  data_type: 'float'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 reverse_read_gc_percent

  data_type: 'float'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 ref_gc_percent

  data_type: 'float'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 threshold_difference

  data_type: 'tinyint'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 ref_count_path

  data_type: 'varchar'
  is_nullable: 1
  size: 256

=head2 pass

  data_type: 'tinyint'
  is_nullable: 1

=head2 comments

  data_type: 'text'
  is_nullable: 1

=head2 info

  data_type: 'text'
  is_nullable: 1

=head2 tag_index

  data_type: 'bigint'
  default_value: -1
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "id_gc_fraction",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "id_run",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 0 },
  "position",
  { data_type => "tinyint", extra => { unsigned => 1 }, is_nullable => 0 },
  "path",
  { data_type => "varchar", is_nullable => 1, size => 256 },
  "forward_read_filename",
  { data_type => "varchar", is_nullable => 0, size => 256 },
  "reverse_read_filename",
  { data_type => "varchar", is_nullable => 0, size => 256 },
  "forward_read_gc_percent",
  { data_type => "float", extra => { unsigned => 1 }, is_nullable => 1 },
  "reverse_read_gc_percent",
  { data_type => "float", extra => { unsigned => 1 }, is_nullable => 1 },
  "ref_gc_percent",
  { data_type => "float", extra => { unsigned => 1 }, is_nullable => 1 },
  "threshold_difference",
  { data_type => "tinyint", extra => { unsigned => 1 }, is_nullable => 1 },
  "ref_count_path",
  { data_type => "varchar", is_nullable => 1, size => 256 },
  "pass",
  { data_type => "tinyint", is_nullable => 1 },
  "comments",
  { data_type => "text", is_nullable => 1 },
  "info",
  { data_type => "text", is_nullable => 1 },
  "tag_index",
  { data_type => "bigint", default_value => -1, is_nullable => 0 },
);
__PACKAGE__->set_primary_key("id_gc_fraction");
__PACKAGE__->add_unique_constraint(
  "unq_run_lane_gc_fraction",
  ["id_run", "position", "tag_index"],
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-30 15:20:49
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:6KbMss2R1JRgtZYhD9MryA


# You can replace this text with custom content, and it will be preserved on regeneration
1;
