package npg_qc::Schema::Result::ImageStore;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::ImageStore

=cut

__PACKAGE__->table("image_store");

=head1 ACCESSORS

=head2 id_image_store

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 type

  data_type: 'varchar'
  is_nullable: 0
  size: 20

=head2 thumbnail

  data_type: 'tinyint'
  default_value: 0
  extra: {unsigned => 1}
  is_nullable: 0

=head2 image

  data_type: 'blob'
  is_nullable: 0

=head2 image_name

  data_type: 'varchar'
  is_nullable: 0
  size: 50

=head2 id_run

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 suffix

  data_type: 'varchar'
  is_nullable: 0
  size: 5

=cut

__PACKAGE__->add_columns(
  "id_image_store",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "type",
  { data_type => "varchar", is_nullable => 0, size => 20 },
  "thumbnail",
  {
    data_type => "tinyint",
    default_value => 0,
    extra => { unsigned => 1 },
    is_nullable => 0,
  },
  "image",
  { data_type => "blob", is_nullable => 0 },
  "image_name",
  { data_type => "varchar", is_nullable => 0, size => 50 },
  "id_run",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 0 },
  "suffix",
  { data_type => "varchar", is_nullable => 0, size => 5 },
);
__PACKAGE__->set_primary_key("id_image_store");
__PACKAGE__->add_unique_constraint(
  "unq_idx_rt_type_thbnl_in",
  ["id_run", "type", "thumbnail", "image_name"],
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-30 15:20:49
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:fKNFeBqhZAatFjqABrJsjg


# You can replace this text with custom content, and it will be preserved on regeneration
1;
