package npg_qc::Schema::Result::InsertSize;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::InsertSize

=cut

__PACKAGE__->table("insert_size");

=head1 ACCESSORS

=head2 id_insert_size

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 id_run

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 position

  data_type: 'tinyint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 path

  data_type: 'varchar'
  is_nullable: 1
  size: 256

=head2 filenames

  data_type: 'varchar'
  is_nullable: 1
  size: 256

=head2 bins

  data_type: 'text'
  is_nullable: 1

=head2 bin_width

  data_type: 'integer'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 min_isize

  data_type: 'integer'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 expected_mean

  data_type: 'integer'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 mean

  data_type: 'integer'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 std

  data_type: 'integer'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 sample_size

  data_type: 'integer'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 paired_reads_direction_in

  data_type: 'tinyint'
  default_value: 1
  is_nullable: 1

=head2 num_well_aligned_reads

  data_type: 'integer'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 num_well_aligned_reads_opp_dir

  data_type: 'integer'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 quartile1

  data_type: 'integer'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 median

  data_type: 'integer'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 quartile3

  data_type: 'integer'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 expected_size

  data_type: 'varchar'
  is_nullable: 1
  size: 256

=head2 reference

  data_type: 'varchar'
  is_nullable: 1
  size: 256

=head2 pass

  data_type: 'tinyint'
  is_nullable: 1

=head2 comments

  data_type: 'text'
  is_nullable: 1

=head2 info

  data_type: 'text'
  is_nullable: 1

=head2 tag_index

  data_type: 'bigint'
  default_value: -1
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "id_insert_size",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "id_run",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 0 },
  "position",
  { data_type => "tinyint", extra => { unsigned => 1 }, is_nullable => 0 },
  "path",
  { data_type => "varchar", is_nullable => 1, size => 256 },
  "filenames",
  { data_type => "varchar", is_nullable => 1, size => 256 },
  "bins",
  { data_type => "text", is_nullable => 1 },
  "bin_width",
  { data_type => "integer", extra => { unsigned => 1 }, is_nullable => 1 },
  "min_isize",
  { data_type => "integer", extra => { unsigned => 1 }, is_nullable => 1 },
  "expected_mean",
  { data_type => "integer", extra => { unsigned => 1 }, is_nullable => 1 },
  "mean",
  { data_type => "integer", extra => { unsigned => 1 }, is_nullable => 1 },
  "std",
  { data_type => "integer", extra => { unsigned => 1 }, is_nullable => 1 },
  "sample_size",
  { data_type => "integer", extra => { unsigned => 1 }, is_nullable => 1 },
  "paired_reads_direction_in",
  { data_type => "tinyint", default_value => 1, is_nullable => 1 },
  "num_well_aligned_reads",
  { data_type => "integer", extra => { unsigned => 1 }, is_nullable => 1 },
  "num_well_aligned_reads_opp_dir",
  { data_type => "integer", extra => { unsigned => 1 }, is_nullable => 1 },
  "quartile1",
  { data_type => "integer", extra => { unsigned => 1 }, is_nullable => 1 },
  "median",
  { data_type => "integer", extra => { unsigned => 1 }, is_nullable => 1 },
  "quartile3",
  { data_type => "integer", extra => { unsigned => 1 }, is_nullable => 1 },
  "expected_size",
  { data_type => "varchar", is_nullable => 1, size => 256 },
  "reference",
  { data_type => "varchar", is_nullable => 1, size => 256 },
  "pass",
  { data_type => "tinyint", is_nullable => 1 },
  "comments",
  { data_type => "text", is_nullable => 1 },
  "info",
  { data_type => "text", is_nullable => 1 },
  "tag_index",
  { data_type => "bigint", default_value => -1, is_nullable => 0 },
);
__PACKAGE__->set_primary_key("id_insert_size");
__PACKAGE__->add_unique_constraint(
  "unq_run_lane_insert_size",
  ["id_run", "position", "tag_index"],
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-07-21 15:16:10
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:xGyudGHOwglvwTCH2+LrSg


# You can replace this text with custom content, and it will be preserved on regeneration
1;
