package npg_qc::Schema::Result::MostCommonWord;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::MostCommonWord

=cut

__PACKAGE__->table("most_common_word");

=head1 ACCESSORS

=head2 id_most_common_word

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 id_run_tile

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_foreign_key: 1
  is_nullable: 0

=head2 rank

  data_type: 'tinyint'
  default_value: 1
  extra: {unsigned => 1}
  is_nullable: 0

=head2 occurrence

  data_type: 'mediumint'
  default_value: 1
  extra: {unsigned => 1}
  is_nullable: 0

=head2 word

  data_type: 'varchar'
  is_nullable: 1
  size: 255

=head2 number_of_sequences

  data_type: 'mediumint'
  default_value: 1
  extra: {unsigned => 1}
  is_nullable: 0

=head2 rescore

  data_type: 'tinyint'
  default_value: 0
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "id_most_common_word",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "id_run_tile",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_foreign_key => 1,
    is_nullable => 0,
  },
  "rank",
  {
    data_type => "tinyint",
    default_value => 1,
    extra => { unsigned => 1 },
    is_nullable => 0,
  },
  "occurrence",
  {
    data_type => "mediumint",
    default_value => 1,
    extra => { unsigned => 1 },
    is_nullable => 0,
  },
  "word",
  { data_type => "varchar", is_nullable => 1, size => 255 },
  "number_of_sequences",
  {
    data_type => "mediumint",
    default_value => 1,
    extra => { unsigned => 1 },
    is_nullable => 0,
  },
  "rescore",
  { data_type => "tinyint", default_value => 0, is_nullable => 0 },
);
__PACKAGE__->set_primary_key("id_most_common_word");

=head1 RELATIONS

=head2 id_run_tile

Type: belongs_to

Related object: L<npg_qc::Schema::Result::RunTile>

=cut

__PACKAGE__->belongs_to(
  "id_run_tile",
  "npg_qc::Schema::Result::RunTile",
  { id_run_tile => "id_run_tile" },
  { on_delete => "CASCADE", on_update => "CASCADE" },
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-30 15:20:49
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:T1Hlzx2q3UohrAm5c/1ehQ


# You can replace this text with custom content, and it will be preserved on regeneration
1;
