package npg_qc::Schema::Result::Offset;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::Offset

=cut

__PACKAGE__->table("offset");

=head1 ACCESSORS

=head2 id_offset

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 id_run

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 lane

  data_type: 'tinyint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 tile

  data_type: 'smallint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 cycle

  data_type: 'smallint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 image

  data_type: 'tinyint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 x

  data_type: 'float'
  is_nullable: 0
  size: [8,2]

=head2 y

  data_type: 'float'
  is_nullable: 0
  size: [8,2]

=cut

__PACKAGE__->add_columns(
  "id_offset",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "id_run",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 0 },
  "lane",
  { data_type => "tinyint", extra => { unsigned => 1 }, is_nullable => 0 },
  "tile",
  { data_type => "smallint", extra => { unsigned => 1 }, is_nullable => 0 },
  "cycle",
  { data_type => "smallint", extra => { unsigned => 1 }, is_nullable => 0 },
  "image",
  { data_type => "tinyint", extra => { unsigned => 1 }, is_nullable => 0 },
  "x",
  { data_type => "float", is_nullable => 0, size => [8, 2] },
  "y",
  { data_type => "float", is_nullable => 0, size => [8, 2] },
);
__PACKAGE__->set_primary_key("id_offset");
__PACKAGE__->add_unique_constraint(
  "unq_idx_run_lane_tile_cycle_image",
  ["id_run", "lane", "tile", "cycle", "image"],
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-30 15:20:49
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:dUZAz++ImfpMPmYhLsJBQg


# You can replace this text with custom content, and it will be preserved on regeneration
1;
