package npg_qc::Schema::Result::RunTimeline;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::RunTimeline

=cut

__PACKAGE__->table("run_timeline");

=head1 ACCESSORS

=head2 id_run_timeline

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 id_run

  data_type: 'bigint'
  default_value: 0
  extra: {unsigned => 1}
  is_nullable: 0

=head2 start_time

  data_type: 'datetime'
  is_nullable: 1

=head2 complete_time

  data_type: 'datetime'
  is_nullable: 1

=head2 end_time

  data_type: 'datetime'
  is_nullable: 1

=cut

__PACKAGE__->add_columns(
  "id_run_timeline",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "id_run",
  {
    data_type => "bigint",
    default_value => 0,
    extra => { unsigned => 1 },
    is_nullable => 0,
  },
  "start_time",
  { data_type => "datetime", is_nullable => 1 },
  "complete_time",
  { data_type => "datetime", is_nullable => 1 },
  "end_time",
  { data_type => "datetime", is_nullable => 1 },
);
__PACKAGE__->set_primary_key("id_run_timeline");
__PACKAGE__->add_unique_constraint("unq_idx_run_timeline_idrun", ["id_run"]);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-30 15:20:49
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:BLOIOzt6CQ21ZHP9vRYlHg


# You can replace this text with custom content, and it will be preserved on regeneration
1;
