package npg_qc::Schema::Result::SequenceError;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::SequenceError

=cut

__PACKAGE__->table("sequence_error");

=head1 ACCESSORS

=head2 id_sequence_error

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 id_run

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 position

  data_type: 'tinyint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 path

  data_type: 'varchar'
  is_nullable: 1
  size: 256

=head2 forward_read_filename

  data_type: 'varchar'
  is_nullable: 1
  size: 256

=head2 reverse_read_filename

  data_type: 'varchar'
  is_nullable: 1
  size: 256

=head2 forward_aligned_read_count

  data_type: 'integer'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 forward_errors

  data_type: 'text'
  is_nullable: 1

=head2 forward_count

  data_type: 'text'
  is_nullable: 1

=head2 forward_n_count

  data_type: 'text'
  is_nullable: 1

=head2 reverse_aligned_read_count

  data_type: 'integer'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 reverse_errors

  data_type: 'text'
  is_nullable: 1

=head2 reverse_count

  data_type: 'text'
  is_nullable: 1

=head2 reverse_n_count

  data_type: 'text'
  is_nullable: 1

=head2 forward_quality_bins

  data_type: 'text'
  is_nullable: 1

=head2 reverse_quality_bins

  data_type: 'text'
  is_nullable: 1

=head2 quality_bin_values

  data_type: 'text'
  is_nullable: 1

=head2 sample_size

  data_type: 'integer'
  extra: {unsigned => 1}
  is_nullable: 1

=head2 reference

  data_type: 'varchar'
  is_nullable: 1
  size: 256

=head2 pass

  data_type: 'tinyint'
  is_nullable: 1

=head2 comments

  data_type: 'text'
  is_nullable: 1

=head2 info

  data_type: 'text'
  is_nullable: 1

=head2 tag_index

  data_type: 'bigint'
  default_value: -1
  is_nullable: 0

=head2 sequence_type

  data_type: 'varchar'
  default_value: 'default'
  is_nullable: 0
  size: 25

=cut

__PACKAGE__->add_columns(
  "id_sequence_error",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "id_run",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 0 },
  "position",
  { data_type => "tinyint", extra => { unsigned => 1 }, is_nullable => 0 },
  "path",
  { data_type => "varchar", is_nullable => 1, size => 256 },
  "forward_read_filename",
  { data_type => "varchar", is_nullable => 1, size => 256 },
  "reverse_read_filename",
  { data_type => "varchar", is_nullable => 1, size => 256 },
  "forward_aligned_read_count",
  { data_type => "integer", extra => { unsigned => 1 }, is_nullable => 1 },
  "forward_errors",
  { data_type => "text", is_nullable => 1 },
  "forward_count",
  { data_type => "text", is_nullable => 1 },
  "forward_n_count",
  { data_type => "text", is_nullable => 1 },
  "reverse_aligned_read_count",
  { data_type => "integer", extra => { unsigned => 1 }, is_nullable => 1 },
  "reverse_errors",
  { data_type => "text", is_nullable => 1 },
  "reverse_count",
  { data_type => "text", is_nullable => 1 },
  "reverse_n_count",
  { data_type => "text", is_nullable => 1 },
  "forward_quality_bins",
  { data_type => "text", is_nullable => 1 },
  "reverse_quality_bins",
  { data_type => "text", is_nullable => 1 },
  "quality_bin_values",
  { data_type => "text", is_nullable => 1 },
  "sample_size",
  { data_type => "integer", extra => { unsigned => 1 }, is_nullable => 1 },
  "reference",
  { data_type => "varchar", is_nullable => 1, size => 256 },
  "pass",
  { data_type => "tinyint", is_nullable => 1 },
  "comments",
  { data_type => "text", is_nullable => 1 },
  "info",
  { data_type => "text", is_nullable => 1 },
  "tag_index",
  { data_type => "bigint", default_value => -1, is_nullable => 0 },
  "sequence_type",
  {
    data_type => "varchar",
    default_value => "default",
    is_nullable => 0,
    size => 25,
  },
);
__PACKAGE__->set_primary_key("id_sequence_error");
__PACKAGE__->add_unique_constraint(
  "unq_rlts_sequence_error",
  ["id_run", "position", "tag_index", "sequence_type"],
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-07-21 15:16:10
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:pyzlwvSiTKXSpPt0zI8Tiw


# You can replace this text with custom content, and it will be preserved on regeneration
1;
