package npg_qc::Schema::Result::SignalMean;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::SignalMean

=cut

__PACKAGE__->table("signal_mean");

=head1 ACCESSORS

=head2 id_signal_mean

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 id_run

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 position

  data_type: 'tinyint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 cycle

  data_type: 'smallint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 all_a

  data_type: 'float'
  default_value: 0.00
  extra: {unsigned => 1}
  is_nullable: 0
  size: [10,2]

=head2 all_c

  data_type: 'float'
  default_value: 0.00
  extra: {unsigned => 1}
  is_nullable: 0
  size: [10,2]

=head2 all_g

  data_type: 'float'
  default_value: 0.00
  extra: {unsigned => 1}
  is_nullable: 0
  size: [10,2]

=head2 all_t

  data_type: 'float'
  default_value: 0.00
  extra: {unsigned => 1}
  is_nullable: 0
  size: [10,2]

=head2 call_a

  data_type: 'float'
  default_value: 0.00
  extra: {unsigned => 1}
  is_nullable: 0
  size: [10,2]

=head2 call_c

  data_type: 'float'
  default_value: 0.00
  extra: {unsigned => 1}
  is_nullable: 0
  size: [10,2]

=head2 call_g

  data_type: 'float'
  default_value: 0.00
  extra: {unsigned => 1}
  is_nullable: 0
  size: [10,2]

=head2 call_t

  data_type: 'float'
  default_value: 0.00
  extra: {unsigned => 1}
  is_nullable: 0
  size: [10,2]

=head2 base_a

  data_type: 'float'
  default_value: 0.00
  extra: {unsigned => 1}
  is_nullable: 0
  size: [10,2]

=head2 base_c

  data_type: 'float'
  default_value: 0.00
  extra: {unsigned => 1}
  is_nullable: 0
  size: [10,2]

=head2 base_g

  data_type: 'float'
  default_value: 0.00
  extra: {unsigned => 1}
  is_nullable: 0
  size: [10,2]

=head2 base_t

  data_type: 'float'
  default_value: 0.00
  extra: {unsigned => 1}
  is_nullable: 0
  size: [10,2]

=cut

__PACKAGE__->add_columns(
  "id_signal_mean",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "id_run",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 0 },
  "position",
  { data_type => "tinyint", extra => { unsigned => 1 }, is_nullable => 0 },
  "cycle",
  { data_type => "smallint", extra => { unsigned => 1 }, is_nullable => 0 },
  "all_a",
  {
    data_type => "float",
    default_value => "0.00",
    extra => { unsigned => 1 },
    is_nullable => 0,
    size => [10, 2],
  },
  "all_c",
  {
    data_type => "float",
    default_value => "0.00",
    extra => { unsigned => 1 },
    is_nullable => 0,
    size => [10, 2],
  },
  "all_g",
  {
    data_type => "float",
    default_value => "0.00",
    extra => { unsigned => 1 },
    is_nullable => 0,
    size => [10, 2],
  },
  "all_t",
  {
    data_type => "float",
    default_value => "0.00",
    extra => { unsigned => 1 },
    is_nullable => 0,
    size => [10, 2],
  },
  "call_a",
  {
    data_type => "float",
    default_value => "0.00",
    extra => { unsigned => 1 },
    is_nullable => 0,
    size => [10, 2],
  },
  "call_c",
  {
    data_type => "float",
    default_value => "0.00",
    extra => { unsigned => 1 },
    is_nullable => 0,
    size => [10, 2],
  },
  "call_g",
  {
    data_type => "float",
    default_value => "0.00",
    extra => { unsigned => 1 },
    is_nullable => 0,
    size => [10, 2],
  },
  "call_t",
  {
    data_type => "float",
    default_value => "0.00",
    extra => { unsigned => 1 },
    is_nullable => 0,
    size => [10, 2],
  },
  "base_a",
  {
    data_type => "float",
    default_value => "0.00",
    extra => { unsigned => 1 },
    is_nullable => 0,
    size => [10, 2],
  },
  "base_c",
  {
    data_type => "float",
    default_value => "0.00",
    extra => { unsigned => 1 },
    is_nullable => 0,
    size => [10, 2],
  },
  "base_g",
  {
    data_type => "float",
    default_value => "0.00",
    extra => { unsigned => 1 },
    is_nullable => 0,
    size => [10, 2],
  },
  "base_t",
  {
    data_type => "float",
    default_value => "0.00",
    extra => { unsigned => 1 },
    is_nullable => 0,
    size => [10, 2],
  },
);
__PACKAGE__->set_primary_key("id_signal_mean");
__PACKAGE__->add_unique_constraint("unq_idx", ["id_run", "position", "cycle"]);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2011-06-30 15:20:49
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:NBObOnCYVL2bo0oOMHpCPQ


# You can replace this text with custom content, and it will be preserved on regeneration
1;
