package npg_qc::Schema::Result::TagDecodeStats;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';


=head1 NAME

npg_qc::Schema::Result::TagDecodeStats

=cut

__PACKAGE__->table("tag_decode_stats");

=head1 ACCESSORS

=head2 id_tag_decode_stats

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_auto_increment: 1
  is_nullable: 0

=head2 id_run

  data_type: 'bigint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 position

  data_type: 'tinyint'
  extra: {unsigned => 1}
  is_nullable: 0

=head2 tag_index

  data_type: 'bigint'
  default_value: -1
  is_nullable: 0

=head2 path

  data_type: 'varchar'
  is_nullable: 1
  size: 256

=head2 tag_code

  data_type: 'text'
  is_nullable: 1

=head2 distribution_all

  data_type: 'text'
  is_nullable: 1

=head2 distribution_good

  data_type: 'text'
  is_nullable: 1

=head2 errors_all

  data_type: 'text'
  is_nullable: 1

=head2 errors_good

  data_type: 'text'
  is_nullable: 1

=head2 pass

  data_type: 'tinyint'
  is_nullable: 1

=head2 comments

  data_type: 'text'
  is_nullable: 1

=head2 info

  data_type: 'text'
  is_nullable: 1

=cut

__PACKAGE__->add_columns(
  "id_tag_decode_stats",
  {
    data_type => "bigint",
    extra => { unsigned => 1 },
    is_auto_increment => 1,
    is_nullable => 0,
  },
  "id_run",
  { data_type => "bigint", extra => { unsigned => 1 }, is_nullable => 0 },
  "position",
  { data_type => "tinyint", extra => { unsigned => 1 }, is_nullable => 0 },
  "tag_index",
  { data_type => "bigint", default_value => -1, is_nullable => 0 },
  "path",
  { data_type => "varchar", is_nullable => 1, size => 256 },
  "tag_code",
  { data_type => "text", is_nullable => 1 },
  "distribution_all",
  { data_type => "text", is_nullable => 1 },
  "distribution_good",
  { data_type => "text", is_nullable => 1 },
  "errors_all",
  { data_type => "text", is_nullable => 1 },
  "errors_good",
  { data_type => "text", is_nullable => 1 },
  "pass",
  { data_type => "tinyint", is_nullable => 1 },
  "comments",
  { data_type => "text", is_nullable => 1 },
  "info",
  { data_type => "text", is_nullable => 1 },
);
__PACKAGE__->set_primary_key("id_tag_decode_stats");
__PACKAGE__->add_unique_constraint(
  "unq_run_lane_index_decoding",
  ["id_run", "position", "tag_index"],
);


# Created by DBIx::Class::Schema::Loader v0.07000 @ 2010-08-10 12:32:52
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:kzQqpxdaFMU7yVkoL9t+fA


# You can replace this text with custom content, and it will be preserved on regeneration
1;
