#########
# Author:        ajb
# Maintainer:    $Author: ajb $
# Created:       2008-11-07
# Last Modified: $Date: 2011-08-01 15:48:20 +0100 (Mon, 01 Aug 2011) $
# Id:            $Id: chip.pm 13782 2011-08-01 14:48:20Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-38.1/lib/npg_qc/api/summary/chip.pm $
#
package npg_qc::api::summary::chip;
use strict;
use warnings;
use Class::Std;
use base qw(npg_qc::api::summary);

our $VERSION = do { my ($r) = q$Revision: 13782 $ =~ /(\d+)/mxs; $r; };

{
  ## no critic (ProhibitUnusedVariables)
  my %id_run_of               :ATTR( :get<id_run>,               :set<id_run> );
  my %machine_of              :ATTR( :get<machine>,              :set<machine> );
  my %is_paired_of            :ATTR( :get<is_paired>,            :set<is_paired> );
  my %id_run_pair_of          :ATTR( :get<id_run_pair>,          :set<id_run_pair> );
  my %cycle_count_each_run_of :ATTR( :get<cycle_count_each_run>, :set<cycle_count_each_run> );
  my %cycle_count_total_of    :ATTR( :get<cycle_count_total>,    :set<cycle_count_total> );
  my %chip_id_of              :ATTR( :get<chip_id>,              :set<chip_id> );
  my %clusters_of             :ATTR( :get<clusters>,             :set<clusters> );
  my %clusters_pf_of          :ATTR( :get<clusters_pf>,          :set<clusters_pf> );
  my %yield_kb_of             :ATTR( :get<yield_kb>,             :set<yield_kb> );
  my %read_length_of          :ATTR( :get<read_length>,          :set<read_length> );
  my %pf_gt_20_of             :ATTR( :get<pf_gt_20>,             :set<pf_gt_20> );
  my %pf_gt_25_of             :ATTR( :get<pf_gt_25>,             :set<pf_gt_25> );
  my %pf_gt_30_of             :ATTR( :get<pf_gt_30>,             :set<pf_gt_30> );
  ## use critic

  sub fields {
    return qw{
      id_run
      machine
      is_paired
      id_run_pair
      cycle_count_each_run
      cycle_count_total
      chip_id
      clusters
      clusters_pf
      yield_kb
      read_length
      pf_gt_20
      pf_gt_25
      pf_gt_30
    };
  }

}
1;
__END__

=head1 NAME

npg_qc::api::summary::chip

=head1 VERSION

$Revision: 13782 $

=head1 SYNOPSIS

  my $oChipSummary = npg_qc::api::summary::chip->new({'util' => $oUtil,});

=head1 DESCRIPTION

=head1 SUBROUTINES/METHODS

=head2 fields - returns an array of the fields that populated for a Chip Summary

=head2 Accessors for obtaining the information within this object

=head2 get_id_run
=head2 get_machine
=head2 get_is_paired
=head2 get_id_run_pair
=head2 get_cycle_count_each_run
=head2 get_cycle_count_total
=head2 get_chip_id
=head2 get_clusters
=head2 get_clusters_pf
=head2 get_yield_kb
=head2 get_read_length
=head2 get_pf_gt_20
=head2 get_pf_gt_25
=head2 get_pf_gt_30


=head1 DIAGNOSTICS

=head1 CONFIGURATION AND ENVIRONMENT

=head1 DEPENDENCIES

strict
warnings
Class::Std
npg_qc::api::summary

=head1 INCOMPATIBILITIES

=head1 BUGS AND LIMITATIONS

=head1 AUTHOR

Andy Brown, E<lt>ajb@sanger.ac.ukE<gt>

=head1 LICENSE AND COPYRIGHT

Copyright (C) 2010 GRL, by Andy Brown

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.8.4 or,
at your option, any later version of Perl 5 you may have available.

=cut
