#!/software/bin/perl
#########
# Author:        Marina Gourtovaia
# Maintainer:    $Author: ajb $
# Created:       29 July 2010
# Last Modified: $Date: 2011-08-01 15:48:20 +0100 (Mon, 01 Aug 2011) $
# Id:            $Id: db_fix_expected_insert_size.pl 13782 2011-08-01 14:48:20Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-38.1/one-offs/db_fix_expected_insert_size.pl $
#

use strict;
use warnings;
use Carp;
use English;
use npg_qc::Schema;

my $schema = npg_qc::Schema->connect();
my $where = { expected_size => {'!=' => undef}, expected_size => {'not like' => '[%]',},};
my $rs = $schema->resultset('InsertSize')->search($where);

carp 'NUM ROWS FOUND; ' . $rs->count;

my @rows = ();
while (my $row = $rs->next) {
    my $h = {};
    $h->{id_run} = $row->id_run;
    $h->{position} = $row->position;
    $h->{tag_index} = $row->tag_index;
    my $fixed_expected_size = undef;
    my @sizes = split q[,], $row->expected_size;
    if (scalar @sizes >= 2) {
       $fixed_expected_size = join q[,], $sizes[0], $sizes[1];
       $fixed_expected_size .= ']';
    }
    $h->{expected_size} = $fixed_expected_size;
    push @rows, $h;
}

foreach my $row (@rows) {
  $schema->resultset('InsertSize')->update_or_create($row);
}

1;
