use npg_common::sequence::reference;
use npg::api::run;
use Carp;

open(my $fh, q[<], "no_size_info.txt") or die $!;
open(my $fh_out, q[>], "missing_refs_lanes.txt") or die $!;
open(my $fh_out2, q[>], "with_refs_lanes.txt") or die $!;

my @headings = ('Study URL','Study Name','Sample URL','Sample Name','Managers emails','Run Id','Lane No','Run URL');
print $fh_out join(q[,], @headings) . "\n";

while (my $row = <$fh>) {
  my @numbers = split q[ ], $row;
  my $id_run = $numbers[0];
  my $run_url = npg::api::run->new({id_run=>$id_run,})->util->base_uri().qq{/run/$id_run};
  my $position = $numbers[1];
  
  my $finder = npg_common::sequence::reference->new(id_run=>$id_run, position=>$position);
  my $count = scalar @{$finder->refs};
  if ($count == 0) {
    my $assets = $finder->assets4ref;
    my $emails = {};
    foreach my $sample (@{$assets}) {

      my $sample_url = $sample->obj_uri;
      my $sample_name = $sample->name;

      my $study;
      my $people = q[];
      my $study_url = q[];
      my $study_name;

      eval {$study = $sample->study;};
      if ($study) {
        $people = join q[ ], @{$study->email_addresses_of_managers};
        $study_url = $study->obj_uri;
        $study_name = $study->name;
      }
    
      print $fh_out "$study_url,$study_name,$sample_url,$sample_name,$people,$id_run,$position,$run_url\n";
    }
  } else {
    print $fh_out2 "$id_run $position" . "\n";
  }
}
close $fh;
close $fh_out;
close $fh_out2;
