#!/software/bin/perl -wT
#########
# Author:        gq1
# Maintainer:    $Author: ajb $
# Created:       2008-09-30
# Last Modified: $Date: 2011-08-01 15:48:20 +0100 (Mon, 01 Aug 2011) $
# Id:            $Id: npg_qc_api_cache_query_lane_summary.pl 13782 2011-08-01 14:48:20Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-38.1/scripts/npg_qc_api_cache_query_lane_summary.pl $
#

use strict;
use warnings;
use lib qw(lib /software/solexa/lib/site_perl/);
use SangerPaths qw(core ensembl tracking trackingnpg badger);
use npg_qc::api::run_caching;
use npg_qc::api::util;
use LWP::UserAgent;
use Carp;
use English qw{-no_match_vars};
use Getopt::Long;

our $VERSION = do { my ($r) = q$Revision: 13782 $ =~ /(\d+)/mx; $r; };

$ENV{'PATH'} = join q(:), qw(/bin /usr/bin /usr/local/bin);


main();
0;

sub main {
  print qq{Processing...\n};
  
  my $opts = initialise();
  
  #########
  # overide base uri for npg_qc
  #my $uri  = q{http://deskpro19635.dynamic.sanger.ac.uk:8080/cgi-bin/prodsoft/npg_qc/npg_qc/};
  my $uri  = q{http://intweb.sanger.ac.uk/cgi-bin/prodsoft/npg_qc/npg_qc/};

  my $util = npg_qc::api::util->new({
    useragent => undef,
    base_uri  => $uri,
    parser    => undef,
  });

  my $api_run_caching = npg_qc::api::run_caching->new({
                                       util => $util,
                                       });  
  eval{
    if($opts->{id_run}){
      $api_run_caching->cache_query_lane_summary($opts->{id_run}, $opts->{end},$opts->{update});
    }else{
      $api_run_caching->cache_query_lane_summary();
    }
    1;
  } or do{
    croak $EVAL_ERROR;
  };

  print "finish process\n";

}

# ----------------------------------------------------------------------
sub initialise {

    my %options = (end=>1, update=>0);

    my $rc = GetOptions(\%options,
                        'id_run:i',
                        'end:i',
                        'update',
                        );
    return \%options;

}
