#!/software/bin/perl -w
##!/nfs/team117/gq1/dev/bin/perl -w

#########
# Author:        gq1
# Maintainer:    $Author: ajb $
# Created:       2009-09-07
# Last Modified: $Date: 2011-08-01 15:48:20 +0100 (Mon, 01 Aug 2011) $
# Id:            $Id: npg_qc_autoqc_data.pl 13782 2011-08-01 14:48:20Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-38.1/scripts/npg_qc_autoqc_data.pl $
#

use strict;
use warnings;
use lib qw(lib /software/solexa/lib/perl5);
use Carp;
use English qw{-no_match_vars};

use Getopt::Long;

use npg_qc::api::util;
use npg_qc::autoqc::db::Loader;
use npg_qc::autoqc::db::Schema;

our $VERSION = do { my ($r) = q$Revision: 13782 $ =~ /(\d+)/mx; $r; };

if (!exists $ENV{dev} || $ENV{dev}) {
    local $ENV{dev} = 'live';
}

my $util = npg_qc::api::util->new({dbh => undef, useragent => undef});
my $dbname   = $util->dbname();
my $dbhost   = $util->dbhost();
my $dbport   = $util->dbport();
my $user     = $util->dbuser();
my $password = $util->dbpass();
my $db ={ dsn=>"DBI:mysql:database=$dbname;host=$dbhost;port=$dbport", username=>$user, password => $password };

npg_qc::autoqc::db::Schema->load_schema($db);

my $loader = npg_qc::autoqc::db::Loader->new_with_options();

print 'Loading auto qc data for run ' . $loader->id_run . " from directories\n";
foreach my $p (@{$loader->path}) {
  print $p . "\n";
}

my $current_num_records = $loader->num_db_records();

$loader->load();
if($current_num_records == 0 && scalar @{$loader->json_files} != $loader->num_db_records()){
  croak "autoqc data are not loaded into database completely";
}
print "Loading finished.\n";

0;
