#!/software/bin/perl
#########
# Author:        Guoying Qi
# Maintainer:    $Author: ajb $
# Created:       2010-01-26
# Last Modified: $Date: 2011-08-01 15:48:20 +0100 (Mon, 01 Aug 2011) $
# Id:            $Id: npg_qc_runlog_monitor.pl 13782 2011-08-01 14:48:20Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-38.1/scripts/npg_qc_runlog_monitor.pl $
#

#########################
# This script will load runlog data of all run into qc database 
#########################

use strict;
use warnings;
use lib qw(/software/solexa/lib/perl5);


use Carp;
use English qw(-no_match_vars);

use npg_qc::api::monitoring::Runlog;

our $VERSION = do { my ($r) = q$Revision: 13782 $ =~ /(\d+)/smx; $r; };

#$ENV{dev} = 'dev';  

#my $uri  = q{http://deskpro19635.dynamic.sanger.ac.uk:8080/cgi-bin/prodsoft/npg_qc/npg_qc/};
my $uri  = q{http://intweb.sanger.ac.uk/cgi-bin/prodsoft/npg_qc/npg_qc/};

my $util = npg_qc::api::util->new({
    useragent => undef,
    base_uri  => $uri,
    parser    => undef,
});

my $runlog_monitor = npg_qc::api::monitoring::Runlog->new_with_options({util => $util});

eval{
    $runlog_monitor->run();
    1;
} or do{
    croak $EVAL_ERROR;
};

exit 0;

=head1 NAME

npg_qc_runlog_monitor.pl

=head1 VERSION

$Revision: 13782 $

=head1 USAGE

  npg_qc_runlog_monitor.pl

=head1 CONFIGURATION

=head1 SYNOPSIS

=head1 DESCRIPTION

=head1 SUBROUTINES/METHODS

=head1 DIAGNOSTICS

=head1 CONFIGURATION AND ENVIRONMENT

=head1 DEPENDENCIES

=over

=item strict

=item warnings

=item Carp

=item npg_qc::api::monitoring::Runlog

=back

=head1 INCOMPATIBILITIES

=head1 BUGS AND LIMITATIONS

=head1 AUTHOR

Guoying Qi E<lt>gq1@sanger.ac.ukE<gt>

=head1 LICENSE AND COPYRIGHT

Copyright (C) 2010 GRL, by Guoying Qi

This file is part of NPG.

NPG is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

=cut

