#!/software/perl-5.10.1/bin/perl

use strict;
use warnings;
use lib qw(/software/solexa/src/new-pipeline-dev/useful_modules/trunk/lib);
use DBIx::Class::Schema::Loader qw(make_schema_at);

use npg_common::config;

use Readonly; Readonly::Scalar our $VERSION => do { my ($r) = q$Revision: 13782 $ =~ /(\d+)/mxs; $r; };

# See npg_common::config documentation. Your home directory is a good place
# for this.
Readonly::Scalar our $NPG_CONF_DIR   => q[.npg];
Readonly::Scalar our $CONF_FILE_NAME => q[npg_qc-Schema];

my $config = npg_common::config->new(
                                conf_dir  => $NPG_CONF_DIR,
                                conf_name => $CONF_FILE_NAME
);

make_schema_at(
    'npg_qc::Schema',
    {
        debug => 1,
        dump_directory => q[lib],
        naming         => q[current],
        moniker_map    =>
          {
              gc_bias                        => q[GcBias],
              split_stats                    => q[SplitStats],
              split_stats_coverage           => q[SplitStatsCoverage],
              tag_decode_stats               => q[TagDecodeStats],
              errors_by_cycle                => q[ErrorsByCycle],
              errors_by_nucleotide           => q[ErrorsByNucleotide],
              errors_by_cycle_and_nucleotide => q[ErrorsByCycleAndNucleotide],
              cumulative_errors_by_cycle     => q[CumulativeErrorsByCycle]
          },
    },
    [ $config->dsn, $config->dbuser, $config->dbpass]
);

1;
