use Test::More;
$ENV{dev} = 'test';

eval "use Test::Pod::Coverage 1.00";
plan skip_all => "Test::Pod::Coverage 1.00 required for testing POD coverage" if $@;
if (!$ENV{TEST_AUTHOR}) {
  my $msg = 'Author test.  Set $ENV{TEST_AUTHOR} to a true value to run.';
  plan( skip_all => $msg );
}

my @dirs = qw( lib/npg_qc/api
               lib/npg_qc/autoqc
               lib/npg_qc/model
               lib/npg_qc/view
             );

my @modules = all_modules(@dirs);

my @singles = qw( lib/npg_qc/Schema.pm
                  lib/npg_qc/controller.pm 
                  lib/npg_qc/graph.pm 
                  lib/npg_qc/model.pm 
                  lib/npg_qc/view.pm 
                  lib/npg_qc/util.pm
                 );

push @modules, @singles;

plan tests => (scalar @modules);

foreach my $module (@modules) {
    pod_coverage_ok("$module");
}
