#########
# Author:        ajb
# Maintainer:    $Author: ajb $
# Created:       2008-07-22
# Last Modified: $Date: 2011-08-01 15:48:20 +0100 (Mon, 01 Aug 2011) $
# Id:            $Id: 10-model-errors_by_nucleotide.t 13782 2011-08-01 14:48:20Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-38.1/t/10-model-errors_by_nucleotide.t $
#

use strict;
use warnings;
use Test::More tests => 7;
use English qw(-no_match_vars);
use SangerPaths qw(core tracking badger ensembl);
use IO::Scalar;
use lib qw{t};
use t::util;
use npg_qc::model::run_tile;

our $VERSION = do { my ($r) = q$Revision: 13782 $ =~ /(\d+)/mx; $r; };

use_ok('npg_qc::model::errors_by_nucleotide');
my $util = t::util->new({fixtures =>1});
{
  my $model = npg_qc::model::errors_by_nucleotide->new({
    util                    => $util,
    id_errors_by_nucleotide => 1,
    id_run_tile             => 1,
  });
  isa_ok($model, 'npg_qc::model::errors_by_nucleotide', '$model');
  isa_ok($model->run_tile(), 'npg_qc::model::run_tile', '$model->run_tile()');
}

{
  my $model = npg_qc::model::errors_by_nucleotide->new({
    util => $util,
    id_run_tile      => 20,
    read_as        => 'T',
    really_a         => 15,
    really_t         => 498,
    really_c         => 23,
    really_g         => 5,
    rescore          => 1,    
  });
  eval { $model->save() };
  is($EVAL_ERROR, q{}, 'saving data - rescore 1');  
}

{
  my $model = npg_qc::model::errors_by_nucleotide->new({
    util => $util,
    id_run_tile      => 20,
    read_as        => 'T',
    really_a         => 25,
    really_t         => 598,
    really_c         => 23,
    really_g         => 5,
    rescore          => 1,    
  });
  eval { $model->save() };
  is($EVAL_ERROR, q{}, 're-saving data - rescore 1');  
}
{
  my $model = npg_qc::model::errors_by_nucleotide->new({
    util => $util,
    id_run_tile      => 20,
    read_as        => 'T',
    really_a         => 15,
    really_t         => 498,
    really_c         => 23,
    really_g         => 5,
    rescore          => 0,    
  });
  eval { $model->save() };
  is($EVAL_ERROR, q{}, 'saving data - rescore 0');  
}

{
  my $model = npg_qc::model::errors_by_nucleotide->new({
    util => $util,
    id_run_tile      => 20,
    read_as        => 'T',
    really_a         => 25,
    really_t         => 598,
    really_c         => 23,
    really_g         => 5,
    rescore          => 0,    
  });
  eval { $model->save() };
  is($EVAL_ERROR, q{}, 're-saving data - rescore 0');  
}
