#########
# Author:        gq1
# Maintainer:    $Author: ajb $
# Created:       2008-11-17
# Last Modified: $Date: 2011-08-01 15:48:20 +0100 (Mon, 01 Aug 2011) $
# Id:            $Id: 10-model-qcal.t 13782 2011-08-01 14:48:20Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-38.1/t/10-model-qcal.t $
#

use strict;
use warnings;
use Test::More tests => 8;
use English qw(-no_match_vars);
use SangerPaths qw(core tracking badger ensembl);
use IO::Scalar;
use lib qw{t};
use t::util;
use npg_qc::model::qcal;

our $VERSION = do { my ($r) = q$Revision: 13782 $ =~ /(\d+)/mx; $r; };

use_ok('npg_qc::model::qcal');

my $util = t::util->new({fixtures =>1});
{
  my $model = npg_qc::model::qcal->new({util => $util});
  isa_ok($model, 'npg_qc::model::qcal', '$model');
}

{
  my $model = npg_qc::model::qcal->new({
    util => $util,
    id_run => 20,
  });
  eval { $model->save() };
  like($EVAL_ERROR, qr{Column\ \'position\'\ cannot\ be\ null}, 'field position in table qcal cannot be null');  
}

{
  my $model = npg_qc::model::qcal->new({
    util => $util,
    id_run           => 20,
    position         => 4,
    end              => 1,
    twenty           => 288888,
    twentyfive       => 344444,
    thirty           => 5677,
    
  });
  eval { $model->save() };
  is($EVAL_ERROR, q{}, 'saving data');  
}

{
  my $model = npg_qc::model::qcal->new({
    util => $util,
    id_run           => 20,
    position         => 4,
    end              => 1,
    twenty           => 388888,
    twentyfive       => 744444,
    thirty           => 577,
    
  });
  eval { $model->save() };
  is($EVAL_ERROR, q{}, 're-saving data');  
}

{
  my $model = npg_qc::model::qcal->new({
    util => $util,
    id_run => 11,
  });
  my $qcal_by_lanes;
  eval {$qcal_by_lanes = $model->qcal_by_lanes(); };
  is($EVAL_ERROR, q{}, 'no croak when get qcal values for run 11');
  is(scalar keys %{$qcal_by_lanes}, 2, '2 lanes qcal data obtained for run 11');
  is($qcal_by_lanes->{1}->{q20}->{1}, 1735548, 'correct q20 value for run 11 lane 1 end 1');
  
}
