#########
# Author:        gq1
# Maintainer:    $Author: ajb $
# Created:       2009-02-12
# Last Modified: $Date: 2011-08-01 15:48:20 +0100 (Mon, 01 Aug 2011) $
# Id:            $Id: 30-api-delete_qc_data.t 13782 2011-08-01 14:48:20Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-38.1/t/30-api-delete_qc_data.t $
#

use strict;
use warnings;
use Test::More tests => 8;
use English qw(-no_match_vars);
use IO::Scalar;
use lib ('t');
use SangerPaths qw(ensembl core badger trackingnpg tracking);
use t::api::util;
use npg::api::util;
use t::useragent;

our $VERSION = do { my ($r) = q$Revision: 13782 $ =~ /(\d+)/mx; $r; };

use_ok('npg_qc::api::delete_qc_data');

{
  my $ua_mock = {};
  my $ua   = t::useragent->new({is_success => 1, mock => $ua_mock});
  my $npg_api_util = npg::api::util->new({useragent => $ua});
  my $util = t::api::util->new({dbh => undef, npg_api_util => $npg_api_util, fixtures => 1, useragent => $ua, parser => 0, base_uri => 'http://localhost:8080/cgi-bin/prodsoft/npg_qc/npg_qc/', npg_uri => 'http://localhost:8080/cgi-bin/prodsoft/npg/npg/'});

  #$util->load_fixtures();

  my $test_dbh = $util->get_dbh();

  isa_ok($test_dbh, q{DBI::db}, 'util has dbh');
  
  my $delete_qc_data = npg_qc::api::delete_qc_data->new({util   => $util}); 
  isa_ok($delete_qc_data, 'npg_qc::api::delete_qc_data', 'delete_qc_data model');
  
  $delete_qc_data->set_id_run(3);
  
  my $rows_deleted = $delete_qc_data->delete_tile_based_data('lane_qc');
  is($rows_deleted, 5, 'correct number of rows deleted from lane_qc table for run 3');
  
  ok($delete_qc_data->delete_all_tile_based_data(), 'delete all title based tables');
  
  $delete_qc_data->set_id_run(10);
  $rows_deleted = $delete_qc_data->delete_run_based_data('chip_summary');
  is($rows_deleted, 1, 'correct number of rows deleted from chip summary table for run 10');
  
  ok($delete_qc_data->delete_all_run_based_data(), 'delete all run based tables');
  ok($delete_qc_data->delete_other_data(), 'delete all other data based on sql');
}

1;
