#########
# Author:        gq1
# Maintainer:    $Author: ajb $
# Created:       2008-12-05
# Last Modified: $Date: 2011-08-01 15:48:20 +0100 (Mon, 01 Aug 2011) $
# Id:            $Id: 30-api-run_timeline.t 13782 2011-08-01 14:48:20Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-38.1/t/30-api-run_timeline.t $
#

use strict;
use warnings;
use Test::More tests => 12;
use English qw(-no_match_vars);
use IO::Scalar;
use lib ('t');
use SangerPaths qw(ensembl core badger trackingnpg tracking);
use t::api::util;
use npg::api::util;
use t::useragent;

our $VERSION = do { my ($r) = q$Revision: 13782 $ =~ /(\d+)/mx; $r; };

use_ok('npg_qc::api::run_timeline');

{
  my $ua_mock = {
     q{http://intweb.sanger.ac.uk/perl/prodsoft/npg/npg/run/1881}      => q{t/data/requests/cgi-bin/prodsoft/npg/npg/run/1881.xml} ,
     q{http://intweb.sanger.ac.uk/perl/prodsoft/npg/npg/run?id_run_status_dict=all}   => q{t/data/requests/cgi-bin/prodsoft/npg/npg/run/run_all.xml} ,
                };
  my $ua   = t::useragent->new({is_success => 1, mock => $ua_mock});
  my $npg_api_util = npg::api::util->new({useragent => $ua});
  my $util = t::api::util->new({dbh => undef, npg_api_util => $npg_api_util, fixtures => 1, useragent => $ua, parser => 0, base_uri => 'http://localhost:8080/cgi-bin/prodsoft/npg_qc/npg_qc/', npg_uri => 'http://localhost:8080/cgi-bin/prodsoft/npg/npg/'});
  
  #$util->load_fixtures();
  my $test_dbh = $util->get_dbh();
  isa_ok($test_dbh, q{DBI::db}, 'util has dbh');
  

  my $run_timeline_obj = npg_qc::api::run_timeline->new({util   => $util});
  $run_timeline_obj->id_run(1881);
  
  eval{
    $run_timeline_obj->get_run_timeline_from_npg();
  };

  is($EVAL_ERROR, q{}, 'no croak for getting run time line data from npg and save to database');
  
  is($run_timeline_obj->get_start_time(), q{2008-12-01 10:33:24}, 'correct start time');
  is($run_timeline_obj->get_complete_time(), q{2008-12-03 18:31:12}, 'correct complete time');
  is($run_timeline_obj->get_end_time(), q{2008-12-03 18:35:47}, 'correct edn time');

  eval{
    $run_timeline_obj->get_run_timeline_from_npg();
  };

  is($EVAL_ERROR, q{}, 're get the data and saving');

  eval{
   $run_timeline_obj->get_runlist_from_npg();
  };
  is($EVAL_ERROR, q{}, 'no croak for getting run list from npg');
  is(scalar @{$run_timeline_obj->get_run_list_all()}, 3, "correct number of runs from npg");

  eval{
   $run_timeline_obj->get_runlist_done_from_db();
  };
  
  is($EVAL_ERROR, q{}, 'no croak for getting run list done');
  is(scalar keys %{$run_timeline_obj->get_run_list_done()}, 1, "correct number of runs done");
}

{
  my $ua_mock = {
     q{http://intweb.sanger.ac.uk/perl/prodsoft/npg/npg/run/1881}      => q{t/data/requests/cgi-bin/prodsoft/npg/npg/run/1881.xml} ,
     q{http://intweb.sanger.ac.uk/perl/prodsoft/npg/npg/run/1895}      => q{t/data/requests/cgi-bin/prodsoft/npg/npg/run/1895.xml} ,
     q{http://intweb.sanger.ac.uk/perl/prodsoft/npg/npg/run/1896}      => q{t/data/requests/cgi-bin/prodsoft/npg/npg/run/1896.xml} ,
     q{http://intweb.sanger.ac.uk/perl/prodsoft/npg/npg/run?id_run_status_dict=all}   => q{t/data/requests/cgi-bin/prodsoft/npg/npg/run/run_all.xml} ,
                };
  my $ua   = t::useragent->new({is_success => 1, mock => $ua_mock});
  my $npg_api_util = npg::api::util->new({useragent => $ua});
  my $util = t::api::util->new({dbh => undef, npg_api_util => $npg_api_util, fixtures => 1, useragent => $ua, parser => 0, base_uri => 'http://localhost:8080/cgi-bin/prodsoft/npg_qc/npg_qc/', npg_uri => 'http://localhost:8080/cgi-bin/prodsoft/npg/npg/'});
  
  #$util->load_fixtures();


  my $run_timeline_obj = npg_qc::api::run_timeline->new({util   => $util});

  eval{
   $run_timeline_obj->save_all_runs_date();
  };
  is($EVAL_ERROR, q{}, 'no croak for saving all run date');

}
1;
