#########
# Author:        gq1
# Maintainer:    $Author: ajb $
# Created:       2009-09-02
# Last Modified: $Date: 2011-08-01 15:48:20 +0100 (Mon, 01 Aug 2011) $
# Id:            $Id: 60-autoqc-db-Schema.t 13782 2011-08-01 14:48:20Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-38.1/t/60-autoqc-db-Schema.t $
#

use strict;
use warnings;
use Test::More tests => 3;
use English qw(-no_match_vars);
use lib qw{t};
use SangerPaths qw(core ensembl);
use Carp;
use npg_qc::api::util;

our $VERSION = do { my ($r) = q$Revision: 13782 $ =~ /(\d+)/mx; $r; };

$ENV{dev} = 'test';

use_ok('npg_qc::autoqc::db::Schema');

my $util = npg_qc::api::util->new({useragent=>undef});
my $dbname   = $util->dbname();
my $dbhost   = $util->dbhost();
my $dbport   = $util->dbport();
my $user     = $util->dbuser();
my $password = $util->dbpass();
my $db ={ dsn=>"DBI:mysql:database=$dbname;host=$dbhost;port=$dbport", username=>$user, password => $password };

my $db_schema = npg_qc::autoqc::db::Schema->new();
$db_schema->load_schema($db);
isa_ok($db_schema->Schema(), "Fey::Schema", "correct database schema");

my $db_schema2 = npg_qc::autoqc::db::Schema->new();
$db_schema2->load_schema($db);
is($db_schema2->Schema(), $db_schema->Schema(), 'the same schema for all objects');
1;
