#########
# Author:        mg8
# Maintainer:    $Author: ajb $
# Created:       07 February 2011
# Last Modified: $Date: 2011-08-01 15:48:20 +0100 (Mon, 01 Aug 2011) $
# Id:            $Id: 90-autoqc-checks-check.t 13782 2011-08-01 14:48:20Z ajb $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-38.1/t/90-autoqc-checks-check.t $
#


use strict;
use warnings;
use Test::More tests => 3;
use File::Spec::Functions qw(catfile);

use_ok('npg_qc::autoqc::checks::check');

my $aligners_bin = q[/software/solexa/bin/aligners];
my $can_farm = -e $aligners_bin ? 1 : 0;

SKIP: {
  skip "Cannot see $aligners_bin", 2 unless $can_farm;
  
  my $check = npg_qc::autoqc::checks::check->new(position => 3, path => 'some_path', id_run => 2549);
  is($check->aligner_version(catfile($aligners_bin, 'bwa', 'bwa-0.5.9', 'bwa')), '0.5.9-r16', 'correct bwa version number');
  is($check->aligner_version(catfile($aligners_bin, 'bowtie', 'bowtie-0.12.1', 'bowtie')), '0.12.1', 'correct bowtie version number');
}

1;




